gdcm::QueryPatient Class Reference

QueryPatient. More...

`#include <gdcmQueryPatient.h>`

Inheritance diagram for gdcm::QueryPatient:
[legend]
Collaboration diagram for gdcm::QueryPatient:
[legend]

## Public Member Functions

std::vector< Tag > | GetHierachicalSearchTags (const ERootType &inRootType) const override
| Return all Unique Key for a particular Query Root type (from the same level and above).
const char * | GetName () const override
std::vector< Tag > | GetOptionalTags (const ERootType &inRootType) const override
DataElement | GetQueryLevel () const override
std::vector< Tag > | GetRequiredTags (const ERootType &inRootType) const override
std::vector< Tag > | GetUniqueTags (const ERootType &inRootType) const override
Public Member Functions inherited from gdcm::QueryBase
virtual | ~QueryBase ()=default
std::vector< Tag > | GetAllRequiredTags (const ERootType &inRootType) const
std::vector< Tag > | GetAllTags (const ERootType &inRootType) const

## Detailed Description

QueryPatient.

contains: class to construct a patient-based query for c-find and c-move

## Member Function Documentation

## GetHierachicalSearchTags()

std::vector< Tag > gdcm::QueryPatient::GetHierachicalSearchTags | ( | const ERootType & | inRootType | ) | const

override virtual

Return all Unique Key for a particular Query Root type (from the same level and above).

Implements gdcm::QueryBase.

## GetName()

const char * gdcm::QueryPatient::GetName | ( |  | ) | const

override virtual

Implements gdcm::QueryBase.

## GetOptionalTags()

std::vector< Tag > gdcm::QueryPatient::GetOptionalTags | ( | const ERootType & | inRootType | ) | const

override virtual

Implements gdcm::QueryBase.

## GetQueryLevel()

DataElement gdcm::QueryPatient::GetQueryLevel | ( |  | ) | const

override virtual

Implements gdcm::QueryBase.

## GetRequiredTags()

std::vector< Tag > gdcm::QueryPatient::GetRequiredTags | ( | const ERootType & | inRootType | ) | const

override virtual

Implements gdcm::QueryBase.

## GetUniqueTags()

std::vector< Tag > gdcm::QueryPatient::GetUniqueTags | ( | const ERootType & | inRootType | ) | const

override virtual

Implements gdcm::QueryBase.

The documentation for this class was generated from the following file:

- gdcmQueryPatient.h